Bug 253510 - Anaconda segfaults during package installation
Anaconda segfaults during package installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-20 07:00 EDT by Peter Åstrand
Modified: 2008-06-09 10:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-09 10:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Åstrand 2007-08-20 07:00:22 EDT
Description of problem:
When upgrading from FC5 to F7, Anaconda segfaults during package installation.
The first time, it segfaulting during installation of the 11th package, libtiff.
At the next try, it segfaulted on the 13th package. When this happens, the
anaconda process consumes 99% of the CPU. A strace indicates repeating segfaults

Version-Release number of selected component (if applicable):
I'm using the official DVD of F7. Media verification passes without problems, as
do memtest86. Installing in text mode. The machine is a 433 MHz Celeron.
Comment 1 Peter Åstrand 2007-08-21 03:51:02 EDT
More details, per http://fedoraproject.org/wiki/AnacondaBugReporting:

* The anaconda version is 

* Not using kickstart. 

* Standard LVM partitioning scheme:

Filesystem           1K-blocks      Used Available Use% Mounted on
                     283452792 137443604 131378276  52% /
/dev/hda1               101086     14718     81149  16% /boot
tmpfs                    63032         0     63032   0% /dev/shm

* Not using USB or Firewire devices. 
Comment 2 Peter Åstrand 2007-09-13 10:20:09 EDT
I've determined that this is a out of memory problem. If I look in
/mnt/sysimage/root/upgrade.log, I'll found lot of messages like:

error: Couldn't fork %post: Unable to allocate memory

With 128 MB, I got to package 6 of 806. With 192 MB, I got to 472 of 800. This
is a pain. I see several bugs here:

* An upgrade shouldn't really require 256 MB or more RAM. 

* The documentation claims that 192 MB is even enough for graphical mode. 

* Anaconda shouldn't hang in a segfault loop just because memory is low. 

* Critical errors like these should be visible in the installation GUI; you
shouldn't need to go looking for it in files like /mnt/sysimage/root/upgrade.log. 

Comment 3 Peter Åstrand 2007-09-20 07:21:57 EDT
Yet another try with 384 MiB completed the installation successfully. 
Comment 4 Bug Zapper 2008-05-14 10:02:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lindeberg 2008-06-03 17:28:15 EDT
Have you encountered the same problem when upgrading to Fedora 9?
Comment 6 Peter Åstrand 2008-06-09 10:04:11 EDT
No. I have now performed an upgrade from F7 to F9. The machine still has 384 MB
RAM, but I booted the installation with mem=256M. The upgrade was successful,
even though it took a long time. top/free indicated that anaconda maxed out at
252MiB and the swap usage was 189MiB. 963 packages were upgraded. 

Since the upgrade actually worked, I guess this bug can be closed, but it would
still be nice with a lower memory consumption. 

Note You need to log in before you can comment on or make changes to this bug.